LEI-INDEX(1)

NAME
lei-index - index messages without importing them into lei/store

SYNOPSIS
lei index [OPTIONS] FOLDER

DESCRIPTION
Similar to lei-import(1), but does not store a copy of messages into "lei/store".

This command only makes sense for messages stored in Maildir folders. Other folder types may be supported in the future (they can all be indexed, but the message isn't automatically retrieved by lei-q(1) or lei-lcat(1)).

Combined with lei-q(1), "lei index" allows Maildir users to have similar functionality to mairix(1) by not duplicating messages into "lei/store".

Occasional invocations of "lei-refresh-mail-sync --all=local" are recommended to keep indexed messages retrievable.

OPTIONS

-F MAIL_FORMAT
--in-format=MAIL_FORMAT
    There is currently no need for this option. It will support "mh", eventually. For now, the default (and only supported) format is "maildir". When IMAP and NNTP support are fleshed out, those formats will be inferred from their URLs.

    Default: "maildir"

-q
--quiet
    Suppress feedback messages.

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/meta/>

COPYRIGHT
Copyright all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
lei-refresh-mail-sync(1), lei-store-format(5), lei-import(1)